% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/separation_Significance.R
\name{separation_Significance}
\alias{separation_Significance}
\title{Separation Significance}
\usage{
separation_Significance(
  G,
  ST,
  Threads = 10,
  N = 1000,
  correct_by_target = TRUE
)
}
\arguments{
\item{G}{The original graph (often an interactome / PPI).}

\item{ST}{Set-Target data. It is a data.frame with two columns. ID and Target.}

\item{Threads}{How many threads you'd like to use (for parallel computation).}

\item{N}{= 1000 The number of permutations}

\item{correct_by_target}{TRUE by default. If you want to use the set of targets for the permutation or the full network.}
}
\description{
Calculates the separation of two set of targets on a network and assigns a p-value to it.
Often used to measure separation of disease modules in a interactome.
Separation is calculated as in Menche, J. et al (2015) <doi:10.1126/science.1257601>.
p-values are calculates based on the permutation of nodes, you can set the full network to be
in the set for permutation or can select the ones you include as input.
}
